Update Unit: Propertyware
https://api.propexo.com/v1/units/propertyware/:unit_id| Method |
|---|
| updateUnit |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the unit
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The category of the unit.
Show 2 enum values
ResidentialCommercialThe type of the unit.
Show 2 enum values
ApartmentHouseThe name of the unit. Example: "Unit 3".
The abbreviation of the unit. Example: "UNIT3"
The first address line of the unit.
The second address line of the unit.
The city of the unit.
The state of the unit.
The zip code of the unit.
The country of the unit.
Notes about the unit.
The number of bathrooms in the unit.
The number of bedrooms in the unit.
The market rent cost of the unit, in cents.
The size of the unit in square feet.
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the unit
The category of the unit.
Show 2 enum values
ResidentialCommercialThe type of the unit.
Show 2 enum values
ApartmentHouseThe name of the unit. Example: "Unit 3".
The abbreviation of the unit. Example: "UNIT3"
The first address line of the unit.
The second address line of the unit.
The city of the unit.
The state of the unit.
The zip code of the unit.
The country of the unit.
Notes about the unit.
The number of bathrooms in the unit.
The number of bedrooms in the unit.
The market rent cost of the unit, in cents.
The size of the unit in square feet.
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/units/propertyware/:unit_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"category": "Residential",
"type": "Apartment",
"name": "string",
"abbreviation": "string",
"address_1": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"unit_id": "string",
"category": "Residential",
"type": "Apartment",
"name": "string",
"abbreviation": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"notes": "string",
"bathrooms": "string",
"bedrooms": "string",
"rent_amount_market_in_cents": 0,
"square_feet": 0
}
}